<?php
/* 
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
Title : 		Class: cTodo
Author : 		Ryan Campbell
URL : 		http://particletree.com

Description : 	Class created to handle todo list operations.

Created : 		09/02/2005
Modified : 		09/02/2005
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
*/

require_once("cDatabase.php");

class cTodo {

	private $cDB;
	private $sessionID;

	function __construct($hostName, $userName, $passwordName, $databaseName, $sessionID) {
		$this->cDB = new cDatabase($hostName, $userName, $passwordName, $databaseName);
		$this->sessionID = $sessionID;
	}
	
	function addItemToList($vals) {
		$names = array("itemDesc", "itemComplete", "sessionID");
		return $this->cDB->sqlInsert($names, $vals, "tTodo");
	}
	
	function removeItemFromList($id) {
		$this->cDB->ExecuteNonQuery("DELETE FROM tTodo WHERE itemID = ".$id);
	}
	
	function completeItem($id) {
		$this->cDB->ExecuteNonQuery("UPDATE tTodo SET itemComplete = 1 WHERE itemID = ".$id);
	}

}
?>