<?php
	session_start();
	require_once("cDatabase.php");
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<title>
Particletree Degradable Ajax Demo
</title>

<!-- Meta Tags -->
<meta http-equiv="content-type" content="application/xhtml+xml; charset=utf-8" />
<meta name="robots" content="index, follow" />

<!-- CSS -->
<link rel="stylesheet" href="todo.css" type="text/css" />

<!-- JavaScript -->
<script src="global.js" type="text/javascript"></script>
<script src="todo.js" type="text/javascript"></script>

</head>

<body>
<div id="header"></div>

<div id="todolist">
<h2>Degradable Ajax Demo</h2>

<p class="fog">This is a demonstration of Particletreee's method for degradable ajax in 
action. After playing with it for awhile, try turning Javascript off in your 
browser. Everything should still work. Nice, eh?</p>

<form class="funcaddToList" method="post" action="processList.php?action=add">
<h3>Particletree Todo List</h3>

<div id="additem">
<p>
<label for="itemDesc">Add an Item</label>
<input type="text" name="itemDesc" id="itemDesc" value=""/>
</p>
</div>

<fieldset>

<h3>Items I Have Not Finished</h3>

<ul id="notdone">

<?php
	$cData = new cDatabase("localhost", "YOUR USERNAME", "YOUR PASSWORD", "YOUR DB NAME");
	$rs = $cData->ExecuteReader("SELECT * FROM tTodo WHERE itemComplete = 0 AND sessionID = '".session_id()."'");
	while ($row = @mysql_fetch_array($rs, MYSQL_ASSOC)) { ?>
		<li id="list<?php echo $row["itemID"] ?>"><p>
		<input type="checkbox" id="i<?php echo $row["itemID"] ?>" class="checkbox" name="" value=""/>
		<span><?php echo $row["itemDesc"] ?></span>
		<a href="processList.php?action=complete&id=<?php echo $row["itemID"] ?>" title="Complete this Item" id="c<?php echo $row["itemID"] ?>" class="button funcCompleteItem">Completed</a>
		<a href="processList.php?action=delete&id=<?php echo $row["itemID"] ?>" title="Delete this Item" id="l<?php echo $row["itemID"] ?>" class="button delete funcDeleteItem">Delete</a>
		</p></li>
	<?php }
?>
</ul>

<hr />

<h3>Items I Have Finished</h3>

<ul id="done">

<?php
	$rs = $cData->ExecuteReader("SELECT * FROM tTodo WHERE itemComplete = 1 AND sessionID = '".session_id()."'");
	while ($row = @mysql_fetch_array($rs, MYSQL_ASSOC)) { ?>
		<li id="list<?php echo $row["itemID"] ?>"><p>
		<input type="checkbox" class="checkbox" name="" value="" checked readonly />
		<?php echo $row["itemDesc"] ?>
		<a href="processList.php?action=delete&id=<?php echo $row["itemID"] ?>" title="Delete this Item" id="l<?php echo $row["itemID"] ?>" class="button delete funcDeleteItem">Delete</a>
		</p></li>
	<?php }
?>

</ul>

</fieldset>
</form>

<br />

<p>Return to <a href="/features/the-hows-and-whys-of-degradable-ajax" title="The Hows and Whys of Degradable Ajax.">The Hows and Whys of Degradable Ajax.</a></p>

</div>

</body>
</html>
